Page MenuHomePhabricator

Replace ApiResult::setRawMode use in EntityDataSerializationService
Closed, ResolvedPublic

Description

We need to get rid of it as part of the APIResult rewrite.

Event Timeline

Lydia_Pintscher raised the priority of this task from to High.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added subscribers: aude, JanZerebecki, daniel and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 3:48 PM

You've also got calls to getIsRawMode() in ResultBuilder and GetEntities, and some calls to setRawMode() in some unit tests.

ksmith added a subscriber: ksmith.EditedMar 20 2015, 7:48 PM

This issue is blocking 7 commits in mediawiki core (the blocked issue noted here is blocking others), so it would help us if it could make it into the next sprint.

I'll put it on the list for the sprint start meeting on Tuesday.

Anomie added a comment.Apr 6 2015, 2:27 PM

Despite T93353 being closed, I still see calls to getIsRawMode() in ResultBuilder and GetEntities, and to setRawMode() in some tests.

aude added a comment.Apr 6 2015, 2:31 PM

@Anomie thanks for noticing that. I suggest we make a new task for those.

aude added a comment.Apr 6 2015, 2:33 PM

created T95168 for getIsRawMode and getIsRawMode

For everyone's info I have just started looking at all of this

Change 223794 had a related patch set uploaded (by Addshore):
Move ApiResult::getIsRawMode call to ApiHelperFactory

https://gerrit.wikimedia.org/r/223794

Change 225036 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Drop some unused code from ResultBuilder and related

https://gerrit.wikimedia.org/r/225036

Change 223794 merged by jenkins-bot:
Move ApiResult::getIsRawMode call to ApiHelperFactory

https://gerrit.wikimedia.org/r/223794

Addshore closed this task as Resolved.Jul 23 2015, 11:56 AM
Addshore claimed this task.

Change 225036 merged by jenkins-bot:
Drop some unused code from ResultBuilder and related

https://gerrit.wikimedia.org/r/225036